#ifndef ANIMEFILTER_H_INCLUDED
#define ANIMEFILTER_H_INCLUDED

#include <mythtv/uitypes.h>
//#include <mythtv/uilistbtntype.h>
//#include <mythtv/xmlparse.h>
//#include <mythtv/mythdialogs.h>

#include "animenode.h"

class AnimeFilter : public MythThemedDialog {
    Q_OBJECT
    typedef QValueVector<int> IntVector;


public:
    /**
    additional arguments:
    category: the currently selected category - "" for all
    onlyUnwatched: true if currently only unwatched (not marked as seen) anime are displayed
    */
    AnimeFilter(QPtrList<AnimeNode> animeList, QString category, bool onlyUnwatched, MythMainWindow *parent, QString windowName,
           QString themeFilename, const char *name = 0);
    ~AnimeFilter();

private:
    QString EMPTY;
    QString category;
    bool onlyUnwatched;

    UIManagedTreeListType* categoryList;
    UICheckBoxType* onlyUnwatchedBox;

    GenericTree* root;

public:
    /**
    the selected category - "" for all
    */
    QString getCategory() {return category==EMPTY?"":category;}

    /**
    true if only unwatched (not marked as seen) anime should be displayed
    */
    bool getOnlyUnwatched() {return onlyUnwatchedBox->getState();}


protected:
    /**
    Called automatically on keypress.
    */
    void keyPressEvent(QKeyEvent *e);


private:
    void initTheme();



public slots:
    /**
    To be called when the user points to an item in the treelist
    */
    void handleTreeListEntry(int nodeInt, IntVector*);
    /**
    To be called when the user selects an item in the treelist (see initTheme()).
    */
    void handleTreeListSelection(int nodeInt, IntVector*);

};

#endif // ANIMEFILTER_H_INCLUDED
