#include "animeinfo.h"

#include <mythtv/mythcontext.h>




AnimeInfo::AnimeInfo(AnimeNode* anime, MythMainWindow *parent, QString windowName,
                                    QString themeFilename, const char *name)
           : MythThemedDialog(parent, windowName, themeFilename, name) {

    initTheme(anime);
}


AnimeInfo::~AnimeInfo() {
}


void AnimeInfo::initTheme(AnimeNode* anime) {
    AnimeInfo::categories = getUITextType("categories");
    if (!AnimeInfo::categories) {
        VERBOSE(VB_IMPORTANT, "Cannot find textbox categories");
    } else {
        AnimeInfo::categories->SetText(anime->getCategories().join(", "));
    }



    AnimeInfo::description = getUITextType("description");
    if (!AnimeInfo::description) {
        VERBOSE(VB_IMPORTANT, "Cannot find textbox description");
    } else {
        AnimeInfo::description->SetText(anime->getDescription());
    }


    AnimeInfo::title = getUITextType("title");
    if (!AnimeInfo::title) {
        VERBOSE(VB_IMPORTANT, "Cannot find textbox title");
    } else {
        AnimeInfo::title->SetText(anime->getName()+ " ("+QString::number(anime->getOverallRating()).left(4)+")");
    }
}
