#ifndef EPISODENODE_H_INCLUDED
#define EPISODENODE_H_INCLUDED

#include <mythtv/uitypes.h>
#include <qstring.h>

/**
the GenericTree::id will be unique for all episodes
the attribute(0) will be unique for all nodes
note: create the episodenodes in the order in which they should later be displayed. attribute(0) will be increased by one for each episode created.
*/
class EpisodeNode : public GenericTree {

public:
    EpisodeNode(QString anime, QString name);
    ~EpisodeNode();

private:
    QString anime;
    QString title;
    QString number;
    QString extension;
    QString longName;

public:
    QString getAnime() { return anime; }
    QString getTitle() { return title; }
    QString getNumber() { return number; }
    QString getExtension() { return extension; }
    QString getLongName() { return longName; }
};


#endif //EPISODENODE_H_INCLUDED
