#ifndef ANIMESETTINGS_H_INCLUDED
#define ANIMESETTINGS_H_INCLUDED

#include <mythtv/uitypes.h>
//#include <mythtv/uilistbtntype.h>
//#include <mythtv/xmlparse.h>
//#include <mythtv/mythdialogs.h>


/*
note: do NOT call a class "Settings". that causes segfaults(!)
*/
class AnimeSettings : public MythThemedDialog {
	Q_OBJECT


public:
    /**
    additional arguments
    anime: the anime for which the information will be shown
    */
    AnimeSettings(MythMainWindow *parent, QString windowName,
           QString themeFilename, const char *name = 0);
    ~AnimeSettings();

private:
    UITextType* path;
    UITextType* anidbPath;
    QString SETTING_HOSTNAME;
    QString SETTING_PATH;
    QString SETTING_ANIDBPATH;

	MythPopupBox* menuPopup;
	MythRemoteLineEdit* editor;

protected:
    /**
    Called automatically on keypress.
    */
    void keyPressEvent(QKeyEvent *e);


private:
	/**
	initializes the theme (retrieves the ui elements from mythtv and sets the initial values)
	*/
    void initTheme();


public slots:
    /**
    changes the path (displayed and in the db)
    */
	void changePath();
	/**
    changes the path (displayed and in the db)
    */
	void changeAnidbPath();
    /**
    closes the active popup
	*/
	void cancel();
};

#endif // ANIMESETTINGS_H_INCLUDED
